Summary: French man pages from the Linux Documentation Project.
Name: man-pages-fr
Version: 0.9.7
Release: 11
License: Distributable
Group: Documentation
Source: ftp://ftp.lip6.fr/pub/linux/french/docs/man-fr-0.9.tar.gz
Source1: http://perso.club-internet.fr/ccb/man/man-fr-%{version}.tar.gz
Source2: http://www.delafond.org/traducmanfr/mansupfr.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch

%description
Manual pages from the Linux Documentation Project, translated into French. Also
includes supplemental pages provided by Dr. Patrick Atlas and Dr. Gerard
Delafond 

%prep
# setup original LDP tarball as they have pages not provided by other tarballs
%setup -q -n man-fr-0.9
mv -f changements changements-0.9
mv -f LISEZ_MOI LISEZ_MOI-0.9

# now include the pages maintained by Christophe Blaess
tar zxf %{SOURCE1}
cp -a man-fr/* .
rm -rf man-fr
mv -f changements changements-0.9.7
mv -f LISEZ_MOI LISEZ_MOI-0.9.7

# and finally pick up the supplemental pages, which overwrites a few files too
tar jxf %{SOURCE2}
cp -a pagesdeman/usr/share/man/fr/* .
mv -f pagesdeman/LISEZ_MOI LISEZ_MOI-mansupfr
rm -rf pagesdeman

%build
rm -f man1/{dnsdomainname,domainname,hostname}.1 man5/ethers.5
rm -f man2/core.2149 man2/core.2160

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/fr
for n in 1 2 3 4 5 6 7 8 9 n; do
	mkdir $RPM_BUILD_ROOT%{_mandir}/fr/man$n
done
for i in man?/*; do
        iconv -f ISO-8859-1 -t UTF-8 < $i > $i.new
        mv -f $i.new $i
done
for i in man?; do 
    install -m 644 $i/* $RPM_BUILD_ROOT%{_mandir}/fr/$i; 
done

# remove these since they conflict with the cups package
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man1/{backend.1,filter.1,lp.1,lpoptions.1,lppasswd.1,lpstat.1,chage.1,gpasswd.1,xawtv.1,lpq.1,lpr.1,lprm.1,apropos.1,man.1,whatis.1}*
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man3/cups-config.3*
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man5/{classes.conf.5,cupsd.conf.5,mime.convs.5,mime.types.5,printers.conf.5,faillog.5,shadow.5,man.config.5}*
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man8/{accept.8,cups-lpd.8,cups-polld.8,cupsaddsmb.8,cupsd.8,enable.8,lpadmin.8,lpc.8,lpinfo.8,lpmove.8,reject.8,adduser.8,chpasswd.8,useradd.8,userdel.8,usermod.8}*

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc changements-0.9 changements-0.9.7 LISEZ_MOI-0.9 LISEZ_MOI-0.9.7 LISEZ_MOI-mansupfr
%dir %{_mandir}/fr
%{_mandir}/fr/*

%changelog
* Wed Sep 29 2004 Leon Ho <llch@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 10 2004 Akira TAGOH <tagoh@redhat.com> 0.9.7-9
- removed apropos.1, man.1, whatis.1, and man.config.5, because the latest man contains those manpages.

* Wed Sep 17 2003 Paul Gampe <pgampe@redhat.com> 0.9.7-8
- Bump

* Fri Sep 12 2003 Paul Gampe <pgampe@redhat.com> 0.9.7-7
- Clean out core files included in upstream tarball [#101328]

* Wed May 28 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.7-6.1
- Bumped release and rebuilt

* Wed May 28 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.7-6
- Dropped ethers.5 and domainname.1 manpages as they are in net-tools now.

* Tue Feb 11 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.7-5
- Convert all manpages to utf-8.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 0.9.7-4
- rebuilt

* Thu Jan  9 2003 Tim Powers <timp@redhat.com> 0.9.7-3
- more pages to remove

* Thu Jan  9 2003 Tim Powers <timp@redhat.com> 0.9.7-2
- remove pages that conflict with other packages

* Thu Jan  9 2003 Paul Gampe <pgampe@redhat.com> 0.9.7-1
- incorporate the three sources of available french manual pages
  to increase coverage

* Thu Nov  7 2002 Tim Powers <timp@redhat.com> 0.9-10
- remove lpq.1, lpr.1, and lprm.1 since they conflict with the mas
  mages in the cups package

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.9-9
- automated rebuild

* Mon Jun 17 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.9-8
- Update nm.1 (#66666 - I like bugs with attaced fixes :)

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Aug 13 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.9-5
- Rebuild. This should fix #51685

* Thu Aug  2 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Own %%{_mandir}/fr
- s/Copyright/License/

* Sun Apr  8 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Remove dnsdomainname.1 and hostname.1, they're now part of net-tools

* Tue Apr  3 2001 Trond Eivind Glomsrd <teg@redhat.com>
- fixes to the roff sources

* Tue Dec 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 0.9

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to compress man pages.

* Mon Jun 19 2000 Matt Wilson <msw@redhat.com>
- defattr root

* Sun Jun 12 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_mandir} and %%{_tmppath}

* Mon May 15 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first build
